- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Protected Member Functions | Properties

# QGroupBox Class Reference

Search for all occurrences

## Detailed Description

Definition at line 57 of file qgroupbox.h.

`#include <qgroupbox.h>`

Inheritance diagram for QGroupBox:
[legend]

List of all members.

## Public Slots
void | setChecked (bool checked)
## Signals
void | clicked (bool checked=false)
void | toggled (bool)
## Public Member Functions
| QGroupBox (QWidget *parent=0)
| QGroupBox (const QString &title, QWidget *parent=0)
| ~QGroupBox ()
QString | title () const
void | setTitle (const QString &title)
Qt::Alignment | alignment () const
void | setAlignment (int alignment)
QSize | minimumSizeHint () const
bool | isFlat () const
void | setFlat (bool flat)
bool | isCheckable () const
void | setCheckable (bool checkable)
bool | isChecked () const
## Protected Member Functions
bool | event (QEvent *event)
void | childEvent (QChildEvent *event)
void | resizeEvent (QResizeEvent *event)
void | paintEvent (QPaintEvent *event)
void | focusInEvent (QFocusEvent *event)
void | changeEvent (QEvent *event)
void | mousePressEvent (QMouseEvent *event)
void | mouseMoveEvent (QMouseEvent *event)
void | mouseReleaseEvent (QMouseEvent *event)
void | initStyleOption (QStyleOptionGroupBox *option) const
## Properties
QString | title
Qt::Alignment | alignment
bool | flat
bool | checkable
bool | checked

## Constructor & Destructor Documentation

QGroupBox | ( | QWidget * | parent = `0` | ) | `[explicit]`

QGroupBox | ( | const QString & | title,
|  | QWidget * | parent = `0`
| ) |  | `[explicit]`

~QGroupBox | ( |  | ) |

## Member Function Documentation

QString title | ( |  | ) | const

Search for all occurrences

void setTitle | ( | const QString & | title | ) |

Search for all occurrences

Qt::Alignment alignment | ( |  | ) | const

Search for all occurrences

void setAlignment | ( | int | alignment | ) |

Search for all occurrences

QSize minimumSizeHint | ( |  | ) | const `[virtual]`

Search for all occurrences

Reimplemented from QWidget.

bool isFlat | ( |  | ) | const

Search for all occurrences

void setFlat | ( | bool | flat | ) |

Search for all occurrences

bool isCheckable | ( |  | ) | const

Search for all occurrences

void setCheckable | ( | bool | checkable | ) |

Search for all occurrences

bool isChecked | ( |  | ) | const

Search for all occurrences

void setChecked | ( | bool | checked | ) | `[slot]`

Search for all occurrences

void clicked | ( | bool | checked = `false` | ) | `[signal]`

Search for all occurrences

void toggled | ( | bool |  | ) | `[signal]`

Search for all occurrences

bool event | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void childEvent | ( | QChildEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

void resizeEvent | ( | QResizeEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void paintEvent | ( | QPaintEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void focusInEvent | ( | QFocusEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void changeEvent | ( | QEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void mousePressEvent | ( | QMouseEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void mouseMoveEvent | ( | QMouseEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void mouseReleaseEvent | ( | QMouseEvent * | event | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QWidget.

void initStyleOption | ( | QStyleOptionGroupBox * | option | ) | const `[protected]`

Search for all occurrences

## Property Documentation

QString title `[read, write]`

Search for all occurrences

Definition at line 61 of file qgroupbox.h.

Qt::Alignment alignment `[read, write]`

Search for all occurrences

Definition at line 62 of file qgroupbox.h.

bool flat `[read, write]`

Search for all occurrences

Definition at line 63 of file qgroupbox.h.

bool checkable `[read, write]`

Search for all occurrences

Definition at line 64 of file qgroupbox.h.

bool checked `[read, write]`

Search for all occurrences

Definition at line 65 of file qgroupbox.h.

The documentation for this class was generated from the following file:

- QtGui/qgroupbox.h

QGroupBox QGroupBox QGroupBox QGroupBox QGroupBox QGroupBox QGroupBox QGroupBox QGroupBox QGroupBox
QGroupBox QGroupBox QGroupBox QGroupBox QGroupBox QGroupBox QGroupBox QGroupBox QGroupBox QGroupBox